Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 07-09-2018 11:16:15

istephane
Membre
Inscription : 07-09-2018

[Résolu] phpmyadmin

Bonjour,

je rencontre un pb assez curieux. Je viens d'installer une nouvelle machine avec Debian 9.5 pour un serveur WEB.
Tout se passe bien pour l'installation d'Apache, Maria-DB et php7 mais impossible de trouver le paquet pour installer phpmyadmin.

apt-get install phpmyadmin -> Impossible de trouver le paquet phpmyadmin

Auriez-vous une idée de ce qui cloche ? mon sources.list est d'origine

merci d'avance

Dernière modification par istephane (07-09-2018 22:27:06)

Hors ligne

#2 07-09-2018 14:08:42

Freemaster
Membre
Lieu : Nord
Distrib. : Debian amd64
Inscription : 31-07-2018
Site Web

Re : [Résolu] phpmyadmin

Salut,

moi j'installe toujours à partir de phpmyadmin.net
il suffit de décompresser, et paramétrer le fichier config.inc.php, un exemple est fourni avec, à copier, renommer et l'adapter
éventuellement créer un alias, si le dossier n'est pas accessible directement depuis le site web
il faudra installer php7-mysql, php7-mbstring et php7-mcrypt

Hors ligne

#3 07-09-2018 14:58:16

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : [Résolu] phpmyadmin

Bonjour smile

istephane a écrit :

apt-get install phpmyadmin -> Impossible de trouver le paquet phpmyadmin


bizarre, le paquet est bient présent pourtant

apt policy phpmyadmin


phpmyadmin:
  Installé : (aucun)
  Candidat : 4:4.6.6-4
 Table de version :
     4:4.6.6-4 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages


Tu as bien fait avant un

apt update


pas d'erreur de frappe ?


Bien débuter sur Debian :
->Les principales commandes Linux
Bien débuter sur openSUSE :
->Site officiel + Wiki frForum fr sur alionet+Guide du débutant

Hors ligne

#4 07-09-2018 22:12:16

istephane
Membre
Inscription : 07-09-2018

Re : [Résolu] phpmyadmin

Bon, je pense que j'ai trouvé l'origine du pb...

le source.list d'origine ne semble pas.... terrible :

#

# deb cdrom:[Debian GNU/Linux 9.5.0 _Stretch_ - Official amd64 DVD Binary-1 20180714-10:25]/ stretch contrib main

deb cdrom:[Debian GNU/Linux 9.5.0 _Stretch_ - Official amd64 DVD Binary-1 20180714-10:25]/ stretch contrib main

deb http://security.debian.org/debian-security stretch/updates main contrib
deb-src http://security.debian.org/debian-security stretch/updates main contrib

# stretch-updates, previously known as 'volatile'
# A network mirror was not selected during install.  The following entries
# are provided as examples, but you should amend them as appropriate
# for your mirror of choice.
#
# deb http://deb.debian.org/debian/ stretch-updates main contrib
# deb-src http://deb.debian.org/debian/ stretch-updates main contrib
 



J'ai remplacé par :

#

# deb cdrom:[Debian GNU/Linux 9.5.0 _Stretch_ - Official amd64 DVD Binary-1 20180714-10:25]/ stretch contrib main
# deb cdrom:[Debian GNU/Linux 9.5.0 _Stretch_ - Official amd64 DVD Binary-1 20180714-10:25]/ stretch contrib main

deb http://security.debian.org/debian-security stretch/updates main contrib non-f
deb http://ftp.fr.debian.org/debian/ stretch main contrib non-free
deb http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free
 



Après application de ce sources.list, apt-get update et Upgrade, phpmyadmin est bien dispo.

Désolé du dérangement... je ne suis pas spécialiste de linux et je n'ai jamais rencontré ce type de pb sur mes précedente install....

Encore merci.

Hors ligne

#5 07-09-2018 22:15:15

bendia
Chadministrateur
Distrib. : Buster, Stretch (et un peu Jessie)
Noyau : Linux 4.9.0-2-amd64
(G)UI : Gnome + Console et un peu Openbox
Inscription : 20-03-2012
Site Web

Re : [Résolu] phpmyadmin


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.

En ligne

Pied de page des forums